Pimple

This is a PHP library for dependency injection in PHP 5.3. At around 50 lines of code, Pimple adds great functionality, packed in a small punch.

Features of Pimple:
- Parameters
- Objects
- Define Shared Objects
- Protecting parameters
- Packaging a container for reusability

Requirements:
- PHP 5.3 or Higher

License type: MIT License
Date added: 3 years, 1 month 15 days ago | Last updated: 3 years, 1 month 14 days ago

More popular Utilities & Tools

This is actually one of the most advanced image hosting script. The imagetize key features: SEO, Ads Ready, Admin

Listing Files

fabpot-Pimple-6ead2e3
lib
tests
Pimple
Tests
  • LICENSE
  • 1.0 KB
  • 08/15/2011 23:03:34
  • README.rst
  • 3.2 KB
  • 08/15/2011 23:03:34
  • phpunit.xml.dist
  • 563 Bytes
  • 08/15/2011 23:03:34
  • .gitignore
  • 12 Bytes
  • 08/15/2011 23:03:34
Hot Scripts
Sponsors